import { __assign } from 'tslib';
import { withThemeableProps } from '../../useThemeable.js';
import { css } from '@uifabric-vue/utilities';
import Vue from 'vue';
import { notifyHostChanged } from './Layer.notification.js';

var LayerHost = Vue.extend({
  name: "LayerHost",
  props: __assign(__assign({}, withThemeableProps()), { hostId: { type: String, default: null } }),
  mounted: function() {
    notifyHostChanged(this.hostId);
  },
  beforeDestroy: function() {
    notifyHostChanged(this.hostId);
  },
  render: function(h) {
    return h("div", {
      class: css("LayerHost", this.className),
      attrs: {
        id: this.hostId
      }
    });
  }
});

export { LayerHost };
